This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 261 - /dev/console
/dev/console
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-02 10:29 EST by ian.clark
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-12-02 13:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ian.clark 1998-12-02 10:29:48 EST
I have noticed this before on RedHat that when a user
logs in the /dev/console it is still left as owner root
and group root. This stops the logged in user from opening
console with xconsole.

On other distributions upon login the /dev/console is
chown'd to the user thus allowing access.

As a quick fix /dev/console can be chown'd by root to one
user, then xconsole can be opened OK, I'm still checking
to see if works OK - certainly anything pipped to
/dev/console comes out ok.

Another point is that XConsole opens OK, but doesn't show
anything pipped to /dev/console.

Ian
Comment 1 David Lawrence 1998-12-02 13:28:59 EST
When Red Hat is configured to run XDM as the login manager, there is a
script in /etc/X11/xdm called GiveConsole that does this for you.
Otherwise it will need to be done manually when just using startx.

Note You need to log in before you can comment on or make changes to this bug.